import { Component, Input } from '@angular/core';
import { DropdownMenuLinkItemComponent, FileIconComponent } from '@ods/system';

@Component({
  selector: 'admin-documentation',
  templateUrl: './documentation.component.html',
  styleUrls: ['./documentation.component.scss'],
  standalone: true,
  imports: [DropdownMenuLinkItemComponent, FileIconComponent],
})
export class DocumentationComponent {
  @Input() url: string;
}
