import type { Meta, StoryObj } from '@storybook/angular';

import { DeleteVorgangFinallyIconComponent } from './delete-vorgang-finally-icon.component';

const meta: Meta<DeleteVorgangFinallyIconComponent> = {
  title: 'Icons/Delete Vorgang finally icon',
  component: DeleteVorgangFinallyIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<DeleteVorgangFinallyIconComponent>;

export const Default: Story = {
  args: { size: 'large' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'medium' },
      },
    },
  },
};
