import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ButtonWithSpinnerComponent } from '@ods/component';
import { ButtonComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { VorgangArchiveConfirmationDialogComponent } from './vorgang-archive-confirmation-dialog.component';

describe('VorgangArchiveConfirmationDialogComponent', () => {
  let component: VorgangArchiveConfirmationDialogComponent;
  let fixture: ComponentFixture<VorgangArchiveConfirmationDialogComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [
        VorgangArchiveConfirmationDialogComponent,
        MockComponent(ButtonWithSpinnerComponent),
        MockComponent(ButtonComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangArchiveConfirmationDialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
